﻿using System;

namespace OutputServiceTSDB.Utilities
{
    public static class EnvironmentVariableConfiguration
    {
        public static string RabbitMQHostname
        {
            get
            {
                return Environment.GetEnvironmentVariable("CS_RABBITMQ_HOSTNAME");
            }
        }
        public static string RabbitMQUserName
        {
            get
            {
                return Environment.GetEnvironmentVariable("CS_RABBITMQ_USERNAME");
            }
        }
        public static string RabbitMQPassword
        {
            get
            {
                return Environment.GetEnvironmentVariable("CS_RABBITMQ_PASSWORD");
            }
        }
        public static string RabbitMQExchange
        {
            get
            {
                return Environment.GetEnvironmentVariable("CS_RABBITMQ_EXCHANGE");
            }
        }
        public static string RabbitMQQueue
        {
            get
            {
                return Environment.GetEnvironmentVariable("CS_RABBITMQ_QUEUE");
            }
        }
        public static string InfluxDBHost
        {
            get
            {
                return Environment.GetEnvironmentVariable("CS_INFLUXDB_HOST");
            }
        }
        public static string InfluxDBToken
        {
            get
            {
                return Environment.GetEnvironmentVariable("CS_INFLUXDB_TOKEN");
            }
        }
        public static string InfluxDBBucket
        {
            get
            {
                return Environment.GetEnvironmentVariable("CS_INFLUXDB_BUCKET");
            }
        }
        public static string InfluxDBOrg
        {
            get
            {
                return Environment.GetEnvironmentVariable("CS_INFLUXDB_ORG");
            }
        }
    }
}
